Knowledge Base

Ask A Question

Questions

4

InsightConnect: VirusTotal plugin return an error

Hi folks, I get an 404 error when running VirusTotal plugin. I tested to curl to VirusTotal on my Insight Orchestrator directly by using python, and it is working. insightConnect made a request URL "https://www.virustotal.com/vtapi/v2/url/scan/url/scan", but this is wrong. The correct URL is "https://www.virustotal.com/vtapi/v2/url/scan", no need url/scan twice. This url is not what I configure. I think this is a cause of issue. Somebody help me please. Regards, ``` Connect: Connecting... rapid7/VirusTotal:5.0.0. Step name: scan_url Making request to VirusTotal endpoint https://www.virustotal.com/vtapi/v2/url/scan/url/scan Error: Unable to decode response to JSON Received: <html> <head> <title>404 Not Found</title> </head> <body> <h1>404 Not Found</h1> The resource could not be found.<br /><br /> </body> </html> Error: Received an unexpected response from VirusTotal (non-JSON response was received). If the issue persists please contact support. Traceback (most recent call last): File "/usr/local/lib/python3.7/site-packages/virustotal_rapid7_plugin-5.0.0-py3.7.egg/komand_virustotal/connection/connection.py", line 66, in request jdata = resp.json() File "/usr/local/lib/python3.7/site-packages/requests-2.22.0-py3.7.egg/requests/models.py", line 897, in json return complexjson.loads(self.text, **kwargs) File "/usr/local/lib/python3.7/json/__init__.py", line 348, in loads return _default_decoder.decode(s) File "/usr/local/lib/python3.7/json/decoder.py", line 337, in decode obj, end = self.raw_decode(s, idx=_w(s, 0).end()) File "/usr/local/lib/python3.7/json/decoder.py", line 355, in raw_decode raise JSONDecodeError("Expecting value", s, err.value) from None json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/lib/python3.7/site-packages/komand-1.0.1-py3.7.egg/komand/plugin.py", line 311, in handle_step output = self.start_step(input_message['body'], 'action', logger, log_stream, is_test, is_debug) File "/usr/local/lib/python3.7/site-packages/komand-1.0.1-py3.7.egg/komand/plugin.py", line 419, in start_step output = func(params) File "/usr/local/lib/python3.7/site-packages/virustotal_rapid7_plugin-5.0.0-py3.7.egg/komand_virustotal/actions/scan_url/action.py", line 18, in run data = self.connection.request(url=url, method="post", params=r_params) File "/usr/local/lib/python3.7/site-packages/virustotal_rapid7_plugin-5.0.0-py3.7.egg/komand_virustotal/connection/connection.py", line 78, in request "Error: Received an unexpected response from VirusTotal " komand.exceptions.ServerException: Error: Received an unexpected response from VirusTotal (non-JSON response was received). If the issue persists please contact support. ```

insightconnect

Posted by Shotaro 24 days ago